Bug 1327908 - libvirt-sandbox pkgconfig requires missing 'sandbox-2.0'
Summary: libvirt-sandbox pkgconfig requires missing 'sandbox-2.0'
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt-sandbox
Version: 23
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-17 19:45 UTC by Gary Tierney
Modified: 2016-12-20 20:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:00:35 UTC


Attachments (Terms of Use)
patch file (734 bytes, patch)
2016-04-17 19:45 UTC, Gary Tierney
no flags Details | Diff

Description Gary Tierney 2016-04-17 19:45:41 UTC
Created attachment 1148080 [details]
patch file

Description of problem:

pkgconfig for libvirt-sandbox has unresolved requirement on 'sandbox-2.0'

Version-Release number of selected component (if applicable):

libvirt-sandbox.x86_64 0.6.0-1.fc23
Present in latest tree: http://libvirt.org/git/?p=libvirt-sandbox.git;a=tree;h=7be56b6b0c86eae2d53135d474bafc8016a5fe96;hb=67316356806a446903630f284438420d94533bc3

How reproducible:

Consistently.

Steps to Reproduce:
1. Run `pkg-config --cflags libvirt-sandbox-1.0`

Actual results:

Package sandbox-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `sandbox-2.0.pc'
to the PKG_CONFIG_PATH environment variable
Package 'sandbox-2.0', required by 'libvirt-sandbox-1.0', not found

Expected results:

Correct compiler flags for the libvirt-sandbox package.

Additional info:

Removing this requirement from the package config seems to work and I'm able to compile and link against libvirt-sandbox. I asked in the #virt IRC channel on oftc and a point was raised that this might be a mistake, so I've included a trivial patch.

Comment 1 Cole Robinson 2016-05-09 17:51:22 UTC
Yeah not sure what the 'sandbox-2.0' dep is about, so the patch makes sense to me. danpb, any comments?

Comment 2 Daniel Berrangé 2016-05-09 18:11:22 UTC
Yep that dep looks bogus to me.

Comment 3 Cole Robinson 2016-05-10 17:51:36 UTC
I sent Gary's patch upstream:

http://www.redhat.com/archives/libvir-list/2016-May/msg00681.html

Comment 4 Cole Robinson 2016-05-11 14:12:04 UTC
Patch is upstream now:

commit 946a88ffb57b8c54c311bf61fe5f840d0ec84ff0
Author: Gary Tierney <gary.tierney@gmx.com>
Date:   Tue May 10 13:46:41 2016 -0400

    pkgconfig: remove non-existent requirement on 'sandbox-2.0'

Comment 5 Fedora End Of Life 2016-11-25 07:23:08 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 20:00:35 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.